<?xml version="1.0"?>
<!DOCTYPE GopherDemoFile SYSTEM "Gopher1.5.dtd">
<GopherDemoFile>
	<Libraries>
		<Library FileName = "eroc.dll">
			<Function Name = "Clear" />
			<Function Name = "Background">
				<Parameter Name="ImageNr" />				
			</Function>
			<Function Name = "BackgroundFade">
				<Parameter Name="ImageNr" />
				<Parameter Name="Opacity" />				
			</Function>
			<Function Name = "FastBackground">
				<Parameter Name="ImageNr" />
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="SizeX"/>
				<Parameter Name="SizeY"/>			
			</Function>
			<Function Name="Image">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
			</Function>
			<Function Name="Animate">
				<Parameter Name="AnimNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
				<Parameter Name="Time"/>
			</Function>
			<Function Name="PrintNr">
				<Parameter Name="Nr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>			
			</Function>	
			<Function Name="ShowFPS">
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>			
			</Function>	
			<Function Name="CircularBlur">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Degrees"/>
			</Function>	
			<Function Name="Wave">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
				<Parameter Name="WavesX"/>
				<Parameter Name="WavesY"/>
				<Parameter Name="SizeX"/>
				<Parameter Name="SizeY"/>
				<Parameter Name="OffsetX"/>
				<Parameter Name="OffsetY"/>
			</Function>		
			<Function Name="Rasterize">
				<Parameter Name="ImageNr"/>
				<Parameter Name="PosX"/>
				<Parameter Name="PosY"/>
				<Parameter Name="Scale"/>
                <Parameter Name="Opacity"/>
			</Function>
		</Library>
		<!-- <Library FileName = "mystic.dll" /> -->
	</Libraries>
	<Demo>
		<Summary>
			<Author>
				Various Fulcrum ppl
			</Author>		
			<Group>
				Fulcrum
			</Group>			
		</Summary>
		<Settings RunningTime = "282000"
				UseOpenGL = "true"
				NumberOfInputSurfaces = "1"
				InputMusicFile = "data\eroc.mp3" />

		<!-- Debug TIMER -->
		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "PrintNr" StartTime = "0" EndTime = "282000">
				<param start="0" end="2820" />
				<param start="10" end="10" />
				<param start="570" end="570" />
			</Event>
		</Track>		

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "ShowFPS" StartTime = "0" EndTime = "282000">	
				<param start="755" end="755" />
				<param start="570" end="570" />
			</Event>
		</Track>


		<Track>									
			<Event LibraryFileName = "eroc.dll" FunctionName = "CircularBlur" StartTime = "0" EndTime = "50000">
				<param start="29" end="29" />
				<param start="400"  end="400" />
				<param start="300"  end="300" />
				<param start="1000"  end="1000" />
				<param start="5"  end="5" />		
			</Event>
		</Track>

		<Track>
			<Event LibraryFileName = "eroc.dll" FunctionName = "Clear" StartTime = "0" EndTime = "282000" />
		</Track>
	</Demo>
</GopherDemoFile>